打开一个有时限的窗口,在此窗口期间,平台支持(PLATFORM_DATA_VIEWER) 可以读取此组织的数据平面。需要 ORG_ADMIN。 duration_hours 为可选项(默认值为 24h,默认);在提供时,它必须为 1–168 (7d),否则请求将被拒绝,并显示 400。重新授予会替换当前窗口。
POST /api/v1/organizations/{id}/support-access
curl \
--request POST 'https://agentengine.mongodb.com/api/v1/organizations/{id}/support-access' \
--header "Authorization: $API_KEY" \
--header "Content-Type: application/json" \
--data '{
"duration_hours": 42
}'
请求示例
{
"duration_hours": 42
}
响应示例 (406)
操作不可用
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "This operation supports text/event-stream, which the Accept header excludes. Remove unsupported media-type parameters or accept this type with a positive q value.",
"error": 406,
"errorCode": "UNACCEPTABLE_MEDIA_TYPE",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "The requested API version is not supported. Supported versions: 2026-09-20-preview.",
"error": 406,
"errorCode": "UNSUPPORTED_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
响应示例 (406)
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
响应示例 (201)
{
"active": true,
"expires_at": "string",
"granted_at": "string",
"granted_by": "string"
}
响应示例 (201)
{
"active": true,
"expires_at": "string",
"granted_at": "string",
"granted_by": "string"
}
响应示例 (400)
{
"code": "string",
"error": "string",
"success": true
}
响应示例 (400)
{
"code": "string",
"error": "string",
"success": true
}
响应示例 (500)
{
"code": "string",
"error": "string",
"success": true
}
响应示例 (500)
{
"code": "string",
"error": "string",
"success": true
}